Show / Hide Table of Contents

# Class IListConverter<T, TConverter>

An IListConverter<T> which default constructs a converter for use as the value converter.

##### Inheritance

Object
ValueConverter<IList<T>>
CollectionConverter<T, IList<T>>
IListConverter<T>
IListConverter<T, TConverter>

##### Implements

IValueConverter

##### Inherited Members

IListConverter<T>.Create(Int32, Object)
CollectionConverter<T, IList<T>>.BaseConverter
CollectionConverter<T, IList<T>>.Create(Int32, Object)
CollectionConverter<T, IList<T>>.PopulateFromValue(IList<T>, List, Object)
CollectionConverter<T, IList<T>>.FromValue(Value, Object)
CollectionConverter<T, IList<T>>.ToValue(IList<T>, Object)
ValueConverter<IList<T>>.ToValue(IList<T>, Object)
ValueConverter<IList<T>>.FromValue(Value, Object)
ValueConverter<IList<T>>.IValueConverter.ToValue(Object, Object)
ValueConverter<IList<T>>.IValueConverter.FromValue(Value, Object)
ValueConverter<IList<T>>.IValueConverter.Type
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Config.Stores.Converters

###### Assembly: IPA.Loader.dll

##### Syntax

    public sealed class IListConverter<T, TConverter> : IListConverter<T>, IValueConverter where TConverter : ValueConverter<T>, new()

##### Type Parameters

Name | Description
--- | ---
T | the value type of the collection
TConverter | the type of the converter to use for `T`

### Constructors

| Improve this Doc View Source

#### IListConverter()

Creates an IListConverter<T> using a default constructed `TConverter` element type. Equivalent to calling IListConverter(ValueConverter<T>) with a default-constructed `TConverter`.

##### Declaration

    public IListConverter()

##### See Also

IListConverter(ValueConverter<T>)

### Implements

IValueConverter

### Extension Methods

ReflectionUtil.SetField(Object, String, Object)
ReflectionUtil.SetField<T>(T, String, Object)
ReflectionUtil.GetField<T>(Object, String)
ReflectionUtil.SetProperty(Object, String, Object)
ReflectionUtil.SetProperty<T>(T, String, Object)
ReflectionUtil.InvokeMethod(Object, String, Object[])
ReflectionUtil.InvokeMethod<T>(T, String, Object[])
ReflectionUtil.InvokeMethod<T>(Object, String, Object[])
ReflectionUtil.InvokeMethod<T, U>(U, String, Object[])

### See Also

IListConverter<T>